package ws;

import dto.AlumnoDTO;
import java.util.ArrayList;
import java.util.List;
import javax.jws.WebService;
import javax.jws.WebMethod;
import javax.jws.WebParam;

@WebService(serviceName = "WSAlumno")
public class WSAlumno {

    @WebMethod(operationName = "getNombre")
    public String getNombre(@WebParam(name = "username") String username) {
        String msg = "Tu nombre es Everis - " + username;
        return msg;
    }

    @WebMethod(operationName = "getAlumno")
    public AlumnoDTO getAlumno(@WebParam(name = "code") String code) {
        AlumnoDTO adto = new AlumnoDTO();
        
        adto.setCode(code);
        adto.setName("Julio");
        adto.setEmail("jpari18@gmail.com");
        
        return adto;
    }
    
    @WebMethod(operationName = "getLsAlumno")
    public List<AlumnoDTO> getLsAlumno(@WebParam(name = "num") Integer num) {
        
        List<AlumnoDTO> list = new ArrayList<AlumnoDTO>();
        for (int i = 0; i < num; i++) {
            AlumnoDTO adto = new AlumnoDTO();        
            adto.setCode("0000"+i);
            adto.setName("Alumno " + i);
            adto.setEmail("correo"+i+"@dominio.com");
            list.add(adto);
        }
        return list;
    }
    
}
